Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w08_02.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w08_02.cfg	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w08_02.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2,3,4,5,6,7,8,9,10">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="8" />
@@ -44,4 +45,5 @@
 
   <write_bloc id="0,1,2,3,4,5,6,7,8,9,10" >
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="8" />
     <parameter name="size_execute_queue"                    value="2" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="32" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="4" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -138,4 +147,5 @@
     <parameter name="size_re_order_buffer"                  value="256"/>
     <parameter name="nb_re_order_buffer_bank"               value="64" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -146,6 +156,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -224,118 +234,8 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.0" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.1" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.2" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.3" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.4" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.5" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.6" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.7" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.8" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.9" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.10" dest="1"   />
-                        
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="3.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="4.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="5.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="6.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="7.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="8.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="9.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="10.0"  dest="0"   />
-
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.0"   dest="0"   />
@@ -347,7 +247,7 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="10.0"  dest="0"   />
 
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.1"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.1"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.1"   dest="0"   />
@@ -361,5 +261,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="0.2"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.2"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.2"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.2"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.2"   dest="1"   />
@@ -373,5 +273,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="0.3"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.3"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.3"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.3"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.3"   dest="1"   />
@@ -385,5 +285,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="0.4"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.4"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.4"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.4"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.4"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.4"   dest="1"   />
@@ -397,5 +297,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="0.5"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.5"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.5"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.5"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.5"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.5"   dest="1"   />
@@ -409,5 +309,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="0.6"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.6"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.6"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.6"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.6"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.6"   dest="1"   />
@@ -421,5 +321,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="0.7"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.7"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.7"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.7"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.7"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.7"   dest="1"   />
@@ -433,5 +333,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="0.8"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.8"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.8"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.8"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.8"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.8"   dest="1"   />
@@ -445,5 +345,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="0.9"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.9"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.9"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.9"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.9"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.9"   dest="1"   />
@@ -455,15 +355,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="10.9"  dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="4.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="5.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="6.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="7.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="8.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="9.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="10.0"  dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
